package com.clx.performance.esplus.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;
import org.dromara.easyes.annotation.IndexField;
import org.dromara.easyes.annotation.IndexId;
import org.dromara.easyes.annotation.IndexName;
import org.dromara.easyes.annotation.rely.FieldType;
import org.dromara.easyes.annotation.rely.IdType;
import org.elasticsearch.common.geo.GeoPoint;
import org.springframework.data.annotation.Id;

import java.math.BigDecimal;

@Data
@IndexName("clx_trace_driver_trace_index1")
public class DriverTraceESPlus {

    @IndexId(type= IdType.CUSTOMIZE)
    private String id;

    @ApiModelProperty("用户编号")
    private Long userNo;

    @ApiModelProperty("1-正常上传，2-离线上传")
    private Integer dataType;

    @ApiModelProperty("位置")
    private GeoPoint location;

    @ApiModelProperty("定位时间")
    private String positionTime;

    @ApiModelProperty("添加时间")
    private String createTime;

    @ApiModelProperty("修改时间")
    private String modifiedTime;

}